import 'package:domain/generated/json/base/json_field.dart';
import 'package:domain/generated/json/t_h_pre_selected_option_entity.g.dart';
import 'dart:convert';
export 'package:domain/generated/json/t_h_pre_selected_option_entity.g.dart';

@JsonSerializable()
class THPreSelectedOptionEntity {
	@JSONField(name: "job_id")
	String? jobId;
	@JSONField(name: "request_id")
	String? requestId;
	@JSONField(name: "job_title")
	String? jobTitle;
	@JSONField(name: "job_date")
	String? jobDate;
	String? action;

	THPreSelectedOptionEntity();

	factory THPreSelectedOptionEntity.fromJson(Map<String, dynamic> json) => $THPreSelectedOptionEntityFromJson(json);

	Map<String, dynamic> toJson() => $THPreSelectedOptionEntityToJson(this);

	@override
	String toString() {
		return jsonEncode(this);
	}
}